<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."stein_schere_papier/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."stein_schere_papier/locale/German.php";
}

// Infusion general information
$inf_title = $locale['pen100'];
$inf_description = $locale['pen101'];
$inf_version = "1.0 (v7)";
$inf_developer = "ChSchuetz";
$inf_email = "chris@chschuetz.de";
$inf_weburl = "http://www.chschuetz.de";
$inf_folder = "stein_schere_papier"; // The folder in which the infusion resides.

$inf_adminpanel[1] = array(
	"title" => $locale['pen102'],
	"image" => "image.gif",
	"panel" => "ssp_admin.php",
	"rights" => "SSP"
);

$inf_sitelink[1] = array(
	"title" => $locale['pen102'],
	"url" => "ssp.php",
	"visibility" => "101"
);

// Delete any items not required here.
$inf_newtable[1] = DB_ssp." (
  match_id int(11) NOT NULL auto_increment,
  user_challenger smallint(5) NOT NULL default '0',
  user_tochallenge smallint(5) NOT NULL default '0',
  datestamp int(10) NOT NULL default '0',
  accepted smallint(1) NOT NULL default '0',
  shoot_11 smallint(1) NOT NULL default '0',
  shoot_12 smallint(1) NOT NULL default '0',
  shoot_13 smallint(1) NOT NULL default '0',
  shoot_21 smallint(1) NOT NULL default '0',
  shoot_22 smallint(1) NOT NULL default '0',
  shoot_23 smallint(1) NOT NULL default '0',
  score_1 smallint(1) NOT NULL default '0',
  score_2 smallint(1) NOT NULL default '0',
  points_1 smallint(1) NOT NULL default '0',
  points_2 smallint(1) NOT NULL default '0',
  PRIMARY KEY  (match_id)
);";


$inf_newtable[2] = DB_ssp_cfg." (
  cfg_id int(1) NOT NULL,
  cfg_gold int(1) NOT NULL,
  cfg_goldwin int(5) NOT NULL,
  cfg_goldtie int(5) NOT NULL,
  cfg_pn int(1) NOT NULL,
  cfg_chlg int(3) NOT NULL,
  cfg_last int(3) NOT NULL,
  cfg_limit smallint(1) NOT NULL,
  cfg_withdraw int(1) NOT NULL,
  cfg_withdraw_time int(2) NOT NULL,
  cfg_chlg_limit int(3) NOT NULL,
  cfg_time_limit int(3) NOT NULL
);";

$inf_insertdbrow[1]= DB_ssp_cfg." VALUES (0, 0, 0, 0, 1, 5, 5, 5, 1, 7, 10, 60)";

$inf_droptable[1] = DB_ssp;
$inf_droptable[2] = DB_ssp_cfg;

?>