<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ssp.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."penalty_challenge/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."stein_schere_papier/locale/German.php";
}

if (!iMEMBER) redirect("../../index.php");

$action = (isset($_GET['act'])) ? stripinput($_GET['act']) : "";
$matchid = (isset($_GET['id']) && isNum($_GET['id'])) ? $_GET['id'] : 0;
$userid = $userdata['user_id'];

opentable($locale['pen102']);
echo '<center><img src="stein.gif" height="129"><img src="schere.gif" height="129"><img src="papier.gif" height="129"></center>';
closetable();


// Konfiguration einlesen
$result_cfg = dbquery("select * from ".$db_prefix."ssp_cfg where cfg_id=0");
$data_cfg = dbarray($result_cfg);
$cfg_gold = $data_cfg['cfg_gold'];
$goldwin = $data_cfg['cfg_goldwin'];
$goldtie = $data_cfg['cfg_goldtie'];
$cfg_pn = $data_cfg['cfg_pn'];
$cfg_chlg = $data_cfg['cfg_chlg'];
//$cfg_tbl = $data_cfg['cfg_tbl'];
$cfg_last = $data_cfg['cfg_last'];
$cfg_limit = $data_cfg['cfg_limit'];
$cfg_withdraw = $data_cfg['cfg_withdraw'];
//$cfg_tbl_cfg = $data_cfg['cfg_tbl_cfg'];
$cfg_time_withdraw = $data_cfg['cfg_withdraw_time'];
$cfg_chlg_limit = $data_cfg['cfg_chlg_limit'];
$cfg_time_limit = $data_cfg['cfg_time_limit'];
//$cfg_tournament = $data_cfg['cfg_tournament'];
//$cfg_tournament_matches = $data_cfg['cfg_tournament_matches'];
// Ende Konfiguration einlesen


// Herausforderung angenommen / Auswertung
if (isset($_POST['submitb']))
{
	
	$result_scores = dbquery("select * from ".$db_prefix."ssp where match_id=$matchid");
	$data_score = dbarray($result_scores);
	
	if ($data_score['accepted'] == 1) redirect("ssp.php");
	if ($data_score['user_challenger']!=$userid && $data_score['user_tochallenge']!=$userid) redirect("ssp.php");
	
	$shoot = $_POST['shoot'];
	$shoot21 = $shoot[0];
	$shoot22 = $shoot[1];
	$shoot23 = $shoot[2];
	
	$chl_time = time();
	$result_addchallenge = dbquery("update ".$db_prefix."ssp set accepted=1, datestamp=$chl_time, 
	shoot_21=$shoot21, shoot_22=$shoot22, shoot_23=$shoot23	where match_id=$matchid");	
	

	$result_scores = dbquery("select * from ".$db_prefix."ssp where match_id=$matchid");
	$data_score = dbarray($result_scores);
	
	$user_chl = $data_score['user_challenger'];
	
	$score1 = 0;
	$score2 = 0;
	
	// 1
	if ($data_score['shoot_11'] == 1 && $data_score['shoot_21'] == 2) $score1++;	
	if ($data_score['shoot_11'] == 1 && $data_score['shoot_21'] == 3) $score2++;	
	
	if ($data_score['shoot_11'] == 2 && $data_score['shoot_21'] == 1) $score2++;	
	if ($data_score['shoot_11'] == 2 && $data_score['shoot_21'] == 3) $score1++;	
	
	if ($data_score['shoot_11'] == 3 && $data_score['shoot_21'] == 1) $score1++;	
	if ($data_score['shoot_11'] == 3 && $data_score['shoot_21'] == 2) $score2++;	
	
	
	// 2
	if ($data_score['shoot_12'] == 1 && $data_score['shoot_22'] == 2) $score1++;	
	if ($data_score['shoot_12'] == 1 && $data_score['shoot_22'] == 3) $score2++;	
	
	if ($data_score['shoot_12'] == 2 && $data_score['shoot_22'] == 1) $score2++;	
	if ($data_score['shoot_12'] == 2 && $data_score['shoot_22'] == 3) $score1++;	
	
	if ($data_score['shoot_12'] == 3 && $data_score['shoot_22'] == 1) $score1++;	
	if ($data_score['shoot_12'] == 3 && $data_score['shoot_22'] == 2) $score2++;	
	
	// 3
	if ($data_score['shoot_13'] == 1 && $data_score['shoot_23'] == 2) $score1++;	
	if ($data_score['shoot_13'] == 1 && $data_score['shoot_23'] == 3) $score2++;	
	
	if ($data_score['shoot_13'] == 2 && $data_score['shoot_23'] == 1) $score2++;	
	if ($data_score['shoot_13'] == 2 && $data_score['shoot_23'] == 3) $score1++;	
	
	if ($data_score['shoot_13'] == 3 && $data_score['shoot_23'] == 1) $score1++;	
	if ($data_score['shoot_13'] == 3 && $data_score['shoot_23'] == 2) $score2++;	
	
	
	
	
	if ($cfg_gold == 1)
	{
		$result_user1 = dbquery("select * from ".$db_prefix."users_points where owner_id=$user_chl");	
		$data_user1 = dbarray($result_user1);
	
		$result_user2 = dbquery("select * from ".$db_prefix."users_points where owner_id=$userid");	
		$data_user2 = dbarray($result_user2);	
	}
	
	if ($score1 > $score2) { 
		$text = $locale['pen125'].$locale['pen128'].$locale['pen126']; 
		$points1 = 3; 
		$points2 = 0; 		
		
		if ($cfg_gold == 1)
		{	
			$result_username1 = dbquery("select * from ".$db_prefix."users where user_id=$user_chl");	
			$data_username1 = dbarray($result_username1);
			
			$username1 = $data_username1['user_name'];
				
			if (isset($data_user1['owner_id']))
				$result_update_tbl = dbquery("update ".$db_prefix."users_points set points_total=points_total+$goldwin where owner_id=$user_chl");
			else			
				$result_update_tbl = dbquery("insert into ".$db_prefix."users_points(owner_id, owner_name, points_total) 
				values($user_chl, '$username1', $goldwin)");	
		}
		
		}
		
	if ($score2 > $score1) { 
		$text = $locale['pen125'].$locale['pen127'].$locale['pen126']; 
		$points1 = 0; 
		$points2 = 3; 
		
		if ($cfg_gold == 1)
		{	

			$result_username2 = dbquery("select * from ".$db_prefix."users where user_id=$userid");	
			$data_username2 = dbarray($result_username2);
		
			$username2 = $data_username2['user_name'];
			
			if (isset($data_user2['owner_id']))
				$result_update_tbl = dbquery("update ".$db_prefix."users_points set points_total=points_total+$goldwin where owner_id=$userid");
			else			
				$result_update_tbl = dbquery("insert into ".$db_prefix."users_points(owner_id, owner_name, points_total) 
				values($userid, '$username2', $goldwin)");	
		}
		
		}
		
	if ($score1 == $score2) { 
		$text = $locale['pen125'].$locale['pen129'].$locale['pen130']; 
		$points1 = 1; 
		$points2 = 1; 
		
		if ($cfg_gold == 1)
		{	
			$result_username1 = dbquery("select * from ".$db_prefix."users where user_id=$user_chl");	
			$data_username1 = dbarray($result_username1);
			$result_username2 = dbquery("select * from ".$db_prefix."users where user_id=$userid");	
			$data_username2 = dbarray($result_username2);
			
			$username1 = $data_username1['user_name'];
			$username2 = $data_username2['user_name'];
			
			if (isset($data_user1['owner_id']))
				$result_update_tbl = dbquery("update ".$db_prefix."users_points set points_total=points_total+$goldtie where owner_id=$user_chl");
			else			
				$result_update_tbl = dbquery("insert into ".$db_prefix."users_points(owner_id, owner_name, points_total) 
				values($user_chl, '$username1', $goldtie)");	
			
			
			if (isset($data_user2['owner_id']))
				$result_update_tbl = dbquery("update ".$db_prefix."users_points set points_total=points_total+$goldtie where owner_id=$userid");
			else			
				$result_update_tbl = dbquery("insert into ".$db_prefix."users_points(owner_id, owner_name, points_total) 
				values($userid, '$username2', $goldtie)");	
		}	
		
		}
	
	$result_update_score = dbquery("update ".$db_prefix."ssp set score_1=$score1, score_2=$score2, points_1=$points1, points_2=$points2 where match_id=$matchid");	
	
	if ($cfg_pn == 1)
	$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , `message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	VALUES ('', $user_chl, $userid, 'Stein/Schere/Papier', '$text', 'n', '0', $chl_time, '0')");	
	
	redirect('ssp.php');
}
// Ende Herausforderung angenommen / Auswertung


// Ansicht Details
if ($action == "details" && !isset($_POST['chl']))
{
	
	//$m = $_GET['movie'];
	echo '<form method="post">';

	opentable("<center>".$locale['pen103']."</center>");	
		$result_hist = dbquery("select * from ".$db_prefix."ssp where match_id=$matchid and accepted=1");
		$data_hist = dbarray($result_hist);
		
		if ($data_hist['user_challenger']!=$userid && $data_hist['user_tochallenge']!=$userid) redirect("ssp.php");
		
		//if ($userid == $data_hist['user_tochallenge'])
		//{	
			$score1 = 0;
			$score2 = 0;
			$uid = $data_hist['user_challenger'];
			$prflnk = BASEDIR."profile.php?lookup=".$uid;
			
			$result_user = dbquery("select * from ".$db_prefix."users where user_id=$uid");
			$data_user = dbarray($result_user);	
			
			if ($data_user['user_avatar'] != "")
				$avalnk = IMAGES."avatars/".$data_user['user_avatar'];
			else 
				$avalnk = INFUSIONS."stein_schere_papier/noavatar.gif";
				
				
			$result_user1 = dbquery("select * from ".$db_prefix."users where user_id=$userid");
			$data_user1 = dbarray($result_user1);	
			
			if ($data_user1['user_avatar'] != "")
				$ava1lnk = IMAGES."avatars/".$data_user1['user_avatar'];
			else 
				$ava1lnk = INFUSIONS."stein_schere_papier/noavatar.gif";
			
			
			echo '<table align="center" cellpadding="0" cellspacing="0">';
			
			// 1
			if ($data_hist['shoot_11'] == 1 && $data_hist['shoot_21'] == 1) 
			{
				$t1 = $locale['pen136'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 1 && $data_hist['shoot_21'] == 2) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen137'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen133'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 1 && $data_hist['shoot_21'] == 3) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen138'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen135'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 2 && $data_hist['shoot_21'] == 1) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen136'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen133'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 2 && $data_hist['shoot_21'] == 2) 
			{
				$t1 = $locale['pen137'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 2 && $data_hist['shoot_21'] == 3) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen138'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen134'].' '.$t2.'</td></tr>';
			}	
			if ($data_hist['shoot_11'] == 3 && $data_hist['shoot_21'] == 1) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen136'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen135'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 3 && $data_hist['shoot_21'] == 2) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen137'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen134'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_11'] == 3 && $data_hist['shoot_21'] == 3) 
			{
				$t1 = $locale['pen138'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}		
			
			// 2
			if ($data_hist['shoot_12'] == 1 && $data_hist['shoot_22'] == 1) 
			{
				$t1 = $locale['pen136'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 1 && $data_hist['shoot_22'] == 2) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen137'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen133'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 1 && $data_hist['shoot_22'] == 3) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen138'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen135'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 2 && $data_hist['shoot_22'] == 1) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen136'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen133'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 2 && $data_hist['shoot_22'] == 2) 
			{
				$t1 = $locale['pen137'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 2 && $data_hist['shoot_22'] == 3) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen138'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen134'].' '.$t2.'</td></tr>';
			}	
			if ($data_hist['shoot_12'] == 3 && $data_hist['shoot_22'] == 1) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen136'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen135'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 3 && $data_hist['shoot_22'] == 2) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen137'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen134'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_12'] == 3 && $data_hist['shoot_22'] == 3) 
			{
				$t1 = $locale['pen138'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			
			// 3
			if ($data_hist['shoot_13'] == 1 && $data_hist['shoot_23'] == 1) 
			{
				$t1 = $locale['pen136'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 1 && $data_hist['shoot_23'] == 2) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen137'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen133'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 1 && $data_hist['shoot_23'] == 3) 
			{
				$t1 = $locale['pen136'];
				$t2 = $locale['pen138'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen135'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 2 && $data_hist['shoot_23'] == 1) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen136'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen133'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 2 && $data_hist['shoot_23'] == 2) 
			{
				$t1 = $locale['pen137'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 2 && $data_hist['shoot_23'] == 3) 
			{
				$t1 = $locale['pen137'];
				$t2 = $locale['pen138'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen134'].' '.$t2.'</td></tr>';
			}	
			if ($data_hist['shoot_13'] == 3 && $data_hist['shoot_23'] == 1) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen136'];
				$score1++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t1.'</b>'.$locale['pen135'].' '.$t2.'</td></tr>';
			}
			if ($data_hist['shoot_13'] == 3 && $data_hist['shoot_23'] == 2) 
			{
				$t1 = $locale['pen138'];
				$t2 = $locale['pen137'];
				$score2++;	
				echo '<tr><td align="left" class="tbl1"><img src="'.$ava1lnk.'" height="20"></td><td align="left" class="tbl1"><b>'.$t2.'</b>'.$locale['pen134'].' '.$t1.'</td></tr>';
			}		
			if ($data_hist['shoot_13'] == 3 && $data_hist['shoot_23'] == 3) 
			{
				$t1 = $locale['pen138'];
				echo '<tr><td align="left" class="tbl1"></td><td align="left" class="tbl1">'.$locale['pen139'].' '.$t1.'</td></tr>';
			}	
						
			echo '</table>';
	//	}
	closetable();
}
// Ende Ansicht Details


// Herausforderung annehmen
if ($action == "accept")
{	
	$chk_chlg = dbarray(dbquery("select * from ".$db_prefix."ssp where match_id=$matchid"));
	$m_chlg = $chk_chlg['user_challenger'];	
		
	echo '<form method="post">';
			
			opentable("<center>".$locale['pen104']."</center>");
			echo '<table align="center" width="75%" cellpadding="0" cellspacing="0"><tr>';
			echo '<td align="center" class="tbl1">'.$locale['pen106'].' #1</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			<td align="center" class="tbl1">'.$locale['pen106'].' #2</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			<td align="center" class="tbl1">'.$locale['pen106'].' #3</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			</select></td></tr>			
			<tr><td align="center" class="tbl1" colspan="6"><input type="submit" name="submitb" value="'.$locale['pen109'].'" class="button">
			<input type="hidden" name="user_tc1" value="'.$chk_chlg['user_tochallenge'].'"></td>
			</tr></table>';
			closetable();
			echo '</form>';
}
// Ende Herausforderung annehmen

// Herausforderung ablehnen (Sicherheitsabfrage)
?>
<script language="JavaScript">
<!--
function Sicherheitsabfrage(Formular)
{
   if(confirm("Wirklich ablehnen? Der Gegner gewinnt dann kampflos."))
    {
       return true;
    }
    else
    {
       return false;
    }
}
//-->
</script>
<?
// Ende Herausforderung ablehnen (Sicherheitsabfrage)


// Herausforderung ablehnen
if ($action == "del")
{		
		$result_get = dbquery("select * from ".$db_prefix."ssp where match_id=$matchid");
		$data_get = dbarray($result_get);
		$touser = $data_get['user_challenger'];
		
		$deltime = time();
		
		$result_lose = dbquery("update ".$db_prefix."ssp set accepted=1, datestamp=$deltime, shoot_11=1, shoot_12=1, shoot_13=1, 
		shoot_21=1, shoot_22=1, shoot_23=1, score_1=3, points_1=3 where match_id=$matchid");
							
		$text = $locale['pen131'];
		
		if ($cfg_pn == 1)
		$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , `message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	
		VALUES ('', $touser, $userid, 'Stein/Schere/Papier', '$text', 'n', '0', $deltime, '0')");	
		
		if ($cfg_gold == 1)
		{	
			$result_user2 = dbquery("select * from ".$db_prefix."users_points where owner_id=$touser");	
			$data_user2 = dbarray($result_user2);	
				
			$result_username2 = dbquery("select * from ".$db_prefix."users where user_id=$touser");	
			$data_username2 = dbarray($result_username2);
			
			$username2 = $data_username2['user_name'];
				
			if (isset($data_user2['owner_id']))
				$result_update_tbl = dbquery("update ".$db_prefix."users_points set points_total=points_total+$goldwin where owner_id=$touser");
			else			
				$result_update_tbl = dbquery("insert into ".$db_prefix."users_points(owner_id, owner_name, points_total) 
				values($touser, '$username2', $goldwin)");	
		}
}
// Ende Herausforderung ablehnen


// Herausforderung abschicken
if (isset($_POST['submita']))
{
	$shoot = $_POST['shoot'];
	$shoot11 = $shoot[0];
	$shoot12 = $shoot[1];
	$shoot13 = $shoot[2];
	
	$user_tc1 = $_POST['user_tc1'];	
	
	$chl_time = time();
	$result_addchallenge = dbquery("insert into ".$db_prefix."ssp(user_challenger, user_tochallenge, datestamp, shoot_11, shoot_12, shoot_13) values($userid, $user_tc1, $chl_time, $shoot11, $shoot12, $shoot13)");	
	
	
	$text = $locale['pen132'];
	
	if ($cfg_pn == 1)
	$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , `message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	VALUES ('', $user_tc1, $userid, 'Stein/Schere/Papier', '$text', 'n', '0', $chl_time, '0')");	
	redirect("ssp.php");
}
// Ende Herausforderung abschicken


// Herausforderung aussprechen / Eingabe
if (isset($_POST['chl'])  || $action=="challenge")
{
	
	if ($action == "challenge") 
	{
		$user_tc=$_GET['uid'];
		$c = dbcount('(user_id)', 'users', "user_id='$user_tc'");
	}
	
	if ((isset($_POST['chl']) || $c != 0) && ($_POST['user_tc'] != $userdata['user_id']))
	{
		$ttt = time()-($cfg_time_limit*60);
		
		$chk_limit = dbquery("select count(*) as count from ".$db_prefix."ssp where user_challenger=$userid and datestamp>$ttt");
		$data_chk = dbarray($chk_limit);
		
		$chk_matches = dbarray(dbquery("select count(*) as count from ".$db_prefix."ssp where 
		(user_challenger=$userid or user_tochallenge=$userid) and accepted=1"));
			
			
			echo '<form method="post">';
		
			opentable("<center>".$locale['pen104']."</center>");
			echo '<table align="center" width="75%" cellpadding="0" cellspacing="0"><tr>';
			echo '<td align="center" class="tbl1">'.$locale['pen106'].' #1</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			<td align="center" class="tbl1">'.$locale['pen106'].' #2</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			<td align="center" class="tbl1">'.$locale['pen106'].' #3</td><td align="center" class="tbl1"><select name="shoot[]"><option value=1>'.$locale['pen136'].'</option><option value=2>'.$locale['pen137'].'</option><option value=3>'.$locale['pen138'].'</option>
			</select></td></tr>			
			<tr><td align="center" class="tbl1" colspan="6"><input type="submit" name="submita" value="'.$locale['pen109'].'" class="button">
			<input type="hidden" name="user_tc1" value="'.$_POST['user_tc'].'"></td>
			</tr></table>';
			closetable();
			echo '</form>';
	}
}
// Ende Herausforderung abschicken / Eingabe

// eingegangene Herausforderungen
echo '<table width="100%" cellpadding="0" cellspacing="0">';
echo '<tr><td align="center" valign="top" class="tbl1">';
opentable('<center>'.$locale['pen110'].' ['.$data_cfg['cfg_chlg'].']</center>');
echo '<table width="100%">';
echo '<tr><td align="center" class="tbl2"></td><td align="center" class="tbl2"><b>'.$locale['pen112'].'</b></td><td align="center" class="tbl2"><b>'.$locale['pen113'].'</b></td><td align="center" class="tbl2" colspan="2"><b>'.$locale['pen114'].'</b></td></tr>';
$result_incoming = dbquery("select * from ".$db_prefix."ssp as A inner join ".$db_prefix."users as B on A.user_challenger=B.user_id where A.user_tochallenge=$userid and A.accepted=0 order by A.datestamp limit $cfg_chlg");
while ($data_incoming = dbarray($result_incoming))
{
	$prflnk = BASEDIR."profile.php?lookup=".$data_incoming['user_challenger'];
	
	if ($data_incoming['user_avatar'] != "")
		$avalnk = IMAGES."avatars/".$data_incoming['user_avatar'];
	else 
		$avalnk = INFUSIONS."stein_schere_papier/noavatar.gif"; //INFUSIONS."ssp_challenge/noavatar.gif"
	echo '<tr><td align="center" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="center" class="tbl1">';
	
	echo '<a href="'.$prflnk.'">'.$data_incoming['user_name'].'</a></td><td align="center" class="tbl1">'.showdate("longdate", $data_incoming['datestamp']).'</td><td align="right" class="tbl1"><a href="ssp.php?act=accept&id='.$data_incoming['match_id'].'">'.$locale['pen115'].'</a></td><td align="left" class="tbl1"><a href="ssp.php?act=del&id='.$data_incoming['match_id'].'">'.$locale['pen116'].'</a></td></tr>';
}	
echo '</table>';
closetable();	
// Ende eingegangene Herausforderungen


// offene Herausforderungen
echo '</td><td align="center" valign="top" class="tbl1">';
opentable('<center>'.$locale['pen111'].' ['.$data_cfg['cfg_chlg'].']</center>');

echo '<table width="100%">';
echo '<tr><td align="center" class="tbl2"></td><td align="center" class="tbl2"><b>'.$locale['pen124'].'</b></td><td align="center" class="tbl2"><b>'.$locale['pen113'].'</b></td>';

if ($cfg_withdraw == 1)
echo '<td align="center" class="tbl2"><b>'.$locale['pen114'].'</b></td>';

echo'</tr>';
$result_incoming = dbquery("select * from ".$db_prefix."ssp as A inner join ".$db_prefix."users as B on A.user_tochallenge=B.user_id where A.user_challenger=$userid and A.accepted=0 order by A.datestamp limit $cfg_chlg");
while ($data_incoming = dbarray($result_incoming))
{
	$prflnk = BASEDIR."profile.php?lookup=".$data_incoming['user_tochallenge'];
	if ($data_incoming['user_avatar'] != "")
		$avalnk = IMAGES."avatars/".$data_incoming['user_avatar'];
	else 
		$avalnk = INFUSIONS."stein_schere_papier/noavatar.gif";
	echo '<tr><td align="center" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="center" class="tbl1"><a href="'.$prflnk.'">'.$data_incoming['user_name'].'</a></td><td align="center" class="tbl1">'.showdate("longdate", $data_incoming['datestamp']).'</td>';
	
	
	$ttt = time()-($cfg_time_withdraw*24*3600);
	if ($cfg_withdraw == 1)
	{
		
		if ($data_incoming['datestamp'] <= $ttt)
		echo '<td align="center" class="tbl1"><a href="ssp.php?act=withdraw&id='.$data_incoming['match_id'].'">'.$locale['pen179'].'</a></td>';
	}
	
	echo '</tr>';
}
echo '</table>';

$result_challenge = dbquery("select * from ".$db_prefix."users where user_id!=$userid and user_status=0 order by user_name");
echo '<form method="post" action="ssp.php">';
echo '<table width="100%">';
echo '<tr><td align="center" class="tbl1">
<select name="user_tc">';
while ($data_challenge = dbarray($result_challenge))
{
	echo '<option value="'.$data_challenge['user_id'].'">'.$data_challenge['user_name'].'</option>';
}

echo '</select><br><input type="submit" name="chl" value="'.$locale['pen117'].'" class="button">
</td></tr></table></form>';

closetable();	
echo '</td></tr></table>';
// Ende offene Herausforderungen


// Letzte Matches
opentable('<center>'.$locale['pen118'].' ['.$data_cfg['cfg_last'].']</center>');
echo '<table width="100%">';
echo '<tr><td align="center" align="center" class="tbl2"></td><td align="center" align="center" class="tbl2"><b>'.$locale['pen119'].'</b></td><td align="center" class="tbl2"><b>'.$locale['pen113'].'</b></td><td align="center" class="tbl2"><b>'.$locale['pen120'].'</b></td><td align="center" class="tbl2"><b>'.$locale['pen122'].'</b></td></tr>';
$result_last10 = dbquery("select * from ".$db_prefix."ssp as A inner join ".$db_prefix."users as B on A.user_challenger=B.user_id where (A.user_challenger=$userid or A.user_tochallenge=$userid) and A.accepted=1 order by datestamp desc limit $cfg_last");
while ($data_last10 = dbarray($result_last10))
{
	if ($data_last10['user_challenger'] == $userid)
	{
		$uid = $data_last10['user_tochallenge'];
		$result_user = dbquery("select * from ".$db_prefix."users where user_id=$uid");
		$data_user = dbarray($result_user);
		
		$prflnk = BASEDIR."profile.php?lookup=".$data_user['user_id'];
		
		if ($data_user['user_avatar'] != "")
			$avalnk = IMAGES."avatars/".$data_user['user_avatar'];
		else 
			$avalnk = INFUSIONS."stein_schere_papier/noavatar.gif";
		
		echo '<tr><td align="center" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="center" class="tbl1"><a href="'.$prflnk.'">'.$data_user['user_name'].'</a></td><td align="center" class="tbl1">'.showdate("longdate", $data_last10['datestamp']).'</td>';
	}
	else
	{
		$uid = $data_last10['user_challenger'];
		$result_user = dbquery("select * from ".$db_prefix."users where user_id=$uid");
		$data_user = dbarray($result_user);
		
		$prflnk = BASEDIR."profile.php?lookup=".$data_user['user_id'];
		
		if ($data_user['user_avatar'] != "")
			$avalnk = IMAGES."avatars/".$data_user['user_avatar'];
		else 
			$avalnk = INFUSIONS."stein_schere_papier/noavatar.gif";
		
		echo '<tr><td align="center" class="tbl1"><img src="'.$avalnk.'" height="20"></td><td align="center" class="tbl1"><a href="'.$prflnk.'">'.$data_user['user_name'].'</a></td><td align="center" class="tbl1">'.showdate("longdate", $data_last10['datestamp']).'</td>';
	}
	
	if ($data_last10['user_challenger'] == $userid)
	{
		if ($data_last10['points_1'] == 3) $pic = "t+.gif";
		if ($data_last10['points_1'] == 1) $pic = "t=.gif";
		if ($data_last10['points_1'] == 0) $pic = "t-.gif";
	}
	
	if ($data_last10['user_tochallenge'] == $userid)
	{
		if ($data_last10['points_2'] == 3) $pic = "t+.gif";
		if ($data_last10['points_2'] == 1) $pic = "t=.gif";
		if ($data_last10['points_2'] == 0) $pic = "t-.gif";
	}

	echo '<td align="center" class="tbl1"><img src="'.$pic.'"></td><td align="center" class="tbl1"><a href="ssp.php?act=details&id='.$data_last10['match_id'].'"><b>['.$locale['pen122'].']</b></a></td>';
}
echo '</table>';
closetable();	
// Ende Letzte 10 Matches


// Herausforderung zurckziehen
if ($action == "withdraw")
{	
	$result_get = dbquery("delete from ".$db_prefix."ssp where match_id=$matchid");
	redirect("ssp.php");
}


echo '<hr>';
echo '<center><b>'.$locale['pen102'].'</b> | Version '.$locale['pen000'].' | 2008 by <a href="http://www.chschuetz.de" target="_blank">ChSchuetz</a></center>';

require_once THEMES."templates/footer.php";
?>