<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ssp_admin.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."penalty_challenge/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."stein_schere_papier/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."stein_schere_papier/locale/German.php";
}

if (!checkrights("IP")) redirect("../../index.php");

if (isset($_POST['config']))
{
	
$goldact = (isset($_POST['goldact']) && isNum($_POST['goldact'])) ? $_POST['goldact'] : 0;
$goldwin = (isset($_POST['goldwin']) && isNum($_POST['goldwin'])) ? $_POST['goldwin'] : 0;
$goldtie = (isset($_POST['goldtie']) && isNum($_POST['goldtie'])) ? $_POST['goldtie'] : 0;
$pnact = (isset($_POST['pnact']) && isNum($_POST['pnact'])) ? $_POST['pnact'] : 0;
$limitchl = (isset($_POST['limitchl']) && isNum($_POST['limitchl'])) ? $_POST['limitchl'] : 0;
$limitlast = (isset($_POST['limitlast']) && isNum($_POST['limitlast'])) ? $_POST['limitlast'] : 0;
$limitact = (isset($_POST['limitact']) && isNum($_POST['limitact'])) ? $_POST['limitact'] : 0;
$alw_withdraw = (isset($_POST['alw_withdraw']) && isNum($_POST['alw_withdraw'])) ? $_POST['alw_withdraw'] : 0;
$limittime = (isset($_POST['limittime']) && isNum($_POST['limittime'])) ? $_POST['limittime'] : 0;
$limitchlg = (isset($_POST['limitchlg']) && isNum($_POST['limitchlg'])) ? $_POST['limitchlg'] : 0;
$time_withdraw = (isset($_POST['time_withdraw']) && isNum($_POST['time_withdraw'])) ? $_POST['time_withdraw'] : 0;
	
$result = dbquery("update ".$db_prefix."ssp_cfg set cfg_gold=$goldact, cfg_goldwin=$goldwin, cfg_goldtie=$goldtie, 
cfg_pn=$pnact, cfg_chlg=$limitchl, cfg_last=$limitlast, cfg_limit=$limitact, cfg_withdraw=$alw_withdraw, cfg_time_limit=$limittime, 
cfg_chlg_limit=$limitchlg, cfg_withdraw_time=$time_withdraw where cfg_id=0");
}

opentable("".$locale['pen102']." Administration");

$result = dbquery("select * from ".$db_prefix."ssp_cfg where cfg_id=0");
$data = dbarray($result);

echo '<form method="post">';
echo '<table align="center" width="40%" border="1" cellpadding="0" cellspacing="0">';

echo '<th colspan="2" class="tbl2">'.$locale['pen155'].'</th><tr>
<td align="left" class="tbl1">'.$locale['pen156'].'</td><td align="center" class="tbl1"><select name="pnact">';


if ($data['cfg_pn']==1) echo '<option value=1 selected>'.$locale['pen157'].'</option>'; else echo '<option value=1>'.$locale['pen157'].'</option>';
if ($data['cfg_pn']==0) echo '<option value=0 selected>'.$locale['pen158'].'</option>'; else echo '<option value=0>'.$locale['pen158'].'</option>';

echo '</select></td></tr>
<th colspan="2" class="tbl2">'.$locale['pen159'].'</th>


<tr><td align="left" class="tbl1">'.$locale['pen160'].'</td><td align="center" class="tbl1">
<select name="goldact">';
if ($data['cfg_gold']==1) echo '<option value=1 selected>'.$locale['pen157'].'</option>'; else echo '<option value=1>'.$locale['pen157'].'</option>';
if ($data['cfg_gold']==0) echo '<option value=0 selected>'.$locale['pen158'].'</option>'; else echo '<option value=0>'.$locale['pen158'].'</option>';
echo '</select></td></tr>';
echo '<tr><td align="center" class="tbl1">'.$locale['pen161'].'</td><td align="center" class="tbl1"><input type="text" name="goldwin" maxlength="5" size="5" class="textbox" value="'.$data['cfg_goldwin'].'"></td></tr><tr><td align="center" class="tbl1">'.$locale['pen162'].'</td><td align="center" class="tbl1"><input type="text" name="goldtie" maxlength="5" size="5" class="textbox" value="'.$data['cfg_goldtie'].'"></td></tr>';

echo '<th colspan="2" class="tbl2">'.$locale['pen163'].'</th>';
echo '<tr><td align="left" class="tbl1">'.$locale['pen164'].'</td><td align="center" class="tbl1"><input type="text" name="limitchl" maxlength="3" size="3" class="textbox" value="'.$data['cfg_chlg'].'"></td></tr><tr>
<tr><td align="left" class="tbl1">'.$locale['pen166'].'</td><td align="center" class="tbl1"><input type="text" name="limitlast" maxlength="3" size="3" class="textbox" value="'.$data['cfg_last'].'"></td></tr>';

echo '<th colspan="2" class="tbl2">'.$locale['pen167'].'</th>
<tr><td align="left" class="tbl1">'.$locale['pen168'].'</td><td align="center" class="tbl1">
<select name="limitact">';
if ($data['cfg_limit']==1) echo '<option value=1 selected>'.$locale['pen157'].'</option>'; else echo '<option value=1>'.$locale['pen157'].'</option>';
if ($data['cfg_limit']==0) echo '<option value=0 selected>'.$locale['pen158'].'</option>'; else echo '<option value=0>'.$locale['pen158'].'</option>';
echo '</select></td></tr>';
echo '<tr><td align="center" class="tbl1">'.$locale['pen169'].'</td><td align="center" class="tbl1"><input type="text" name="limittime" maxlength="3" size="3" class="textbox" value="'.$data['cfg_time_limit'].'"></td></tr>';
echo '<tr><td align="center" class="tbl1">'.$locale['pen164'].'</td><td align="center" class="tbl1"><input type="text" name="limitchlg" maxlength="3" size="3" class="textbox" value="'.$data['cfg_chlg_limit'].'"></td></tr>';


echo '<tr><td align="left" class="tbl1">'.$locale['pen171'].'</td><td align="center" class="tbl1">
<select name="alw_withdraw">';
if ($data['cfg_withdraw']==1) echo '<option value=1 selected>'.$locale['pen157'].'</option>'; else echo '<option value=1>'.$locale['pen157'].'</option>';
if ($data['cfg_withdraw']==0) echo '<option value=0 selected>'.$locale['pen158'].'</option>'; else echo '<option value=0>'.$locale['pen158'].'</option>';
echo '</select></td></tr>';
echo '<tr><td align="center" class="tbl1">'.$locale['pen172'].'</td><td align="center" class="tbl1"><input type="text" name="time_withdraw" maxlength="2" size="2" class="textbox" value="'.$data['cfg_withdraw_time'].'"></td></tr>';

echo '<tr><td class="tbl2" align="left" valign="center" rowspan="3">'.$locale['pen170'].'</td>
					<td align="right" colspan="3" class="tbl2"><input style="width: 100%" type="submit" name="config" value="'.$locale['pen170'].'" class="button"></td></tr>';
echo '</table></form>';
closetable();


echo '<hr>';
echo '<center><b>'.$locale['pen102'].'</b> | Version '.$locale['pen000'].' | 2008 by <a href="http://www.chschuetz.de" target="_blank">ChSchuetz</a></center>';
require_once THEMES."templates/footer.php";
?>



